GET api/v1/orders
Return full status of orders (filtered by parameters).
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| status |
Status or the order you want to retrieve. |
status |
Default value is any |
| order_numbers |
List of order numbers you want to retrieve, separated by comma. If empty, all orders that match the query are returned. |
string |
None. |
| received_from |
Order received date from. Date in ISO-8601 format. Format can be 'YYYY-MM-DD' or 'YYYY-MM-DDTHH:MM:SS'. |
string |
None. |
| received_to |
Order received date to (end of day). Date in ISO-8601 format. Only date part (no time) is evaluated ('YYYY-MM-DD'). |
string |
None. |
| shipped_from |
Order shipped date from. Date in ISO-8601 format. Format can be 'YYYY-MM-DD' or 'YYYY-MM-DDTHH:MM:SS'. |
string |
None. |
| shipped_to |
Order shipped date to (end of day). Date in ISO-8601 format. Only date part (no time) is evaluated ('YYYY-MM-DD'). |
string |
None. |
| modified_from |
Order modified date/time from. Date in ISO-8601 format. Format should be 'YYYY-MM-DDTHH:MM:SS' (for local PST) or any valid ISO-8601 format. |
string |
None. |
| modified_to |
Order modified date/time to. Date in ISO-8601 format. Format should be 'YYYY-MM-DDTHH:MM:SS' (for local PST) or any valid ISO-8601 format. |
string |
None. |
| fields |
Limit which fields are returned by the API. Ignored when null or empty (example: 'order_number,received_date') |
string |
None. |
| page |
Page number. |
integer |
Default value is 1 |
| page_size |
Amount of orders returned per page. Maximum is set to 100. |
integer |
Default value is 100 |
| filter |
Allow filtering orders by specifying extra criterias not included in the URI parameters (URI parameters always use indexes). Separate multiple filters with comma (AND operator is applied only).
|
string |
None. |
| extended_date |
When true, received_date and ship_date are returned in ISO-8601 format 'YYYY-MM-DDTHH:MM:SS' instead of format 'YYYY-MM-DD' |
boolean |
Default value is false |
Body Parameters
None.
Response Information
Resource Description
response_get_orders| Name | Description | Type | Additional information |
|---|---|---|---|
| error_code |
Zero if no errors. See 'error_message' for a detailed description of the error. |
integer |
None. |
| error_message |
Returns a detailed description of the error. |
string |
None. |
| orders |
Array of orders. |
Collection of order |
None. |
Response Formats
application/json, text/json
{
"error_code": 0,
"error_message": "",
"orders": [
{
"order_status": 1,
"order_number": "TEST02",
"location": "FR",
"order_stage": 60,
"stage_description": "Fully Shipped",
"is_cancelled": false,
"is_back_order": false,
"account_number": "10501",
"order_type": "REST",
"system_id": "P",
"ordered_date": "2014-11-25",
"received_date": "2014-11-25",
"po_number": "100002",
"customer_number": "",
"freight_account": "00500",
"consignee_number": "",
"shipping_carrier": "UPS",
"shipping_service": "Ground",
"shipping_address": {
"company": "DCL Corp",
"attention": "Walter P.",
"address1": "48641 Milmont dr",
"address2": "",
"email": "",
"phone": "",
"city": "Fremont",
"state_province": "CA",
"postal_code": "94538",
"country": "UNITED STATES"
},
"billing_address": {
"company": "DCL Corp",
"attention": "Walter P.",
"address1": "48641 Milmont dr",
"address2": "",
"email": "",
"phone": "",
"city": "Fremont",
"state_province": "CA",
"postal_code": "94538",
"country": "UNITED STATES"
},
"international_code": 0,
"order_subtotal": 0.00,
"shipping_handling": 0.00,
"sales_tax": 0.00,
"international_handling": 0.00,
"total_due": 0.00,
"amount_paid": 0.00,
"net_due_currency": 0.00,
"balance_due_us": 0.00,
"international_declared_value": 0.00,
"insurance": 0.00,
"payment_type": "",
"terms": "DAP",
"fob": "",
"tax_id_number": "",
"packing_list_type": 101,
"packing_list_comments": "",
"shipping_instructions": "",
"custom_field1": "",
"custom_field2": "",
"custom_field3": "",
"custom_field4": "",
"custom_field5": "",
"order_lines": [
{
"line_number": 1,
"item_number": "1002-002-DEMO2",
"description": "Product For Demo 2",
"quantity": 5,
"is_back_order": false,
"price": 2.99,
"voided": false,
"do_not_ship_before": "2014-11-25",
"ship_by": "2014-11-26",
"comments": "",
"custom_field1": "",
"custom_field2": "",
"custom_field3": "1",
"custom_field4": "",
"custom_field5": "",
"bundle_lines": null
},
{
"line_number": 2,
"item_number": "BUNDLE001",
"description": "Bundle Kit",
"quantity": 1,
"is_back_order": false,
"price": 10.99,
"voided": false,
"do_not_ship_before": "2014-11-25",
"ship_by": "2014-11-26",
"comments": "",
"custom_field1": "",
"custom_field2": "",
"custom_field3": "1",
"custom_field4": "",
"custom_field5": "",
"bundle_lines": [
{
"line_number": 2001,
"item_number": "ITEM-001",
"description": "Demo product 1",
"quantity": 2,
"is_back_order": false,
"price": 0.00,
"voided": false,
"do_not_ship_before": "2014-11-25",
"ship_by": "2014-11-26",
"comments": "",
"custom_field1": "",
"custom_field2": "",
"custom_field3": "1",
"custom_field4": "",
"custom_field5": ""
},
{
"line_number": 2002,
"item_number": "ITEM-002",
"description": "Demo product 2",
"quantity": 4,
"is_back_order": false,
"price": 0.00,
"voided": false,
"do_not_ship_before": "2014-11-25",
"ship_by": "2014-11-26",
"comments": "",
"custom_field1": "",
"custom_field2": "",
"custom_field3": "1",
"custom_field4": "",
"custom_field5": ""
}
]
}
],
"shipments": [
{
"ship_id": 5721085,
"ship_date": "2014-11-25",
"shipping_carrier": "UPS",
"shipping_service": "GROUND",
"freight_account": "00500",
"shipping_address": {
"company": "DCL Corp",
"attention": "Walter P.",
"address1": "48641 Milmont dr",
"address2": "",
"email": "",
"phone": "5555555555",
"city": "FREMONT",
"state_province": "CA",
"postal_code": "94538-0000",
"country": "UNITED_STATES"
},
"total_weight": 1.0,
"total_charge": 7.35,
"reference1": "1Z05R2W10381474503",
"reference2": "",
"reference3": "",
"reference4": "",
"rs_tracking_number": "",
"packages": [
{
"carton_id": "DCLL017306",
"carton_count_number": 1,
"weight": 1.0,
"freight": 7.35,
"dimension": "10x8x5",
"tracking_number": "1Z05R2W10381474503",
"delivery_date": "2014-11-28T11:05:22",
"delivery_status": "Delivered",
"asn": null,
"shipped_items": [
{
"item_number": "1002-002-DEMO2",
"description": "Product For Demo 2",
"line_number": 1,
"custom_field3": "1",
"quantity": 5,
"serial_numbers": [
"123456789",
"123456798",
"123456897",
"123457896",
"123467895"
],
"lot_numbers": [
"ABC123",
"DEF456"
],
"lot_details": [
{
"lot_number": "ABC123",
"quantity": 2,
"expiration_date": "2026-05-01"
},
{
"lot_number": "DEF456",
"quantity": 3,
"expiration_date": null
}
]
}
]
},
{
"carton_id": "DCLL017307",
"carton_count_number": 2,
"weight": 5.0,
"freight": 1.35,
"dimension": "10x8x5",
"tracking_number": "1Z05R2W10381474504",
"delivery_date": "2014-11-28T11:05:23",
"delivery_status": "Delivered",
"asn": null,
"shipped_items": [
{
"item_number": "ITEM-001",
"description": "Demo product 1",
"line_number": 2001,
"custom_field3": "2",
"quantity": 2,
"serial_numbers": [
"ABC112",
"ABC113"
],
"lot_numbers": null,
"lot_details": null
},
{
"item_number": "ITEM-002",
"description": "Demo product 2",
"line_number": 2002,
"custom_field3": "2",
"quantity": 4,
"serial_numbers": [
"233456789",
"233456798",
"233456897",
"233457896"
],
"lot_numbers": null,
"lot_details": null
}
]
}
],
"shipped_lines": [
{
"item_number": "1002-002-DEMO2",
"description": "Product For Demo 2",
"line_number": 1,
"custom_field3": "1",
"quantity": 5,
"serial_numbers": [
"123456789",
"123456798",
"123456897",
"123457896",
"123467895"
],
"lot_numbers": null,
"lot_details": null
},
{
"item_number": "BUNDLE001",
"description": "Bundle Kit",
"line_number": 2,
"custom_field3": "2",
"quantity": 1,
"serial_numbers": null,
"lot_numbers": null,
"lot_details": null,
"bundle_lines": [
{
"item_number": "ITEM-001",
"description": "Demo product 1",
"line_number": 2001,
"custom_field3": "2",
"quantity": 2,
"serial_numbers": [
"ABC112",
"ABC113"
],
"lot_numbers": null,
"lot_details": null
},
{
"item_number": "ITEM-002",
"description": "Demo product 2",
"line_number": 2002,
"custom_field3": "2",
"quantity": 4,
"serial_numbers": [
"233456789",
"233456798",
"233456897",
"233457896"
],
"lot_numbers": null,
"lot_details": null
}
]
}
],
"pallets": null
}
],
"modified_at": "2014-11-25T09:01:28-08:00"
},
{
"order_status": 1,
"order_number": "TEST03",
"location": "FR",
"order_stage": 10,
"stage_description": "Order Received",
"is_cancelled": false,
"is_back_order": true,
"account_number": "10501",
"order_type": "REST",
"system_id": "P",
"ordered_date": "2014-11-25",
"received_date": "2014-11-25",
"po_number": "100003",
"customer_number": "",
"freight_account": "00500",
"consignee_number": "",
"shipping_carrier": "UPS",
"shipping_service": "GROUND",
"shipping_address": {
"company": "DCL Corp",
"attention": "Walter P.",
"address1": "48641 Milmont dr",
"address2": "",
"email": "",
"phone": "",
"city": "Fremont",
"state_province": "CA",
"postal_code": "94538",
"country": "UNITED STATES"
},
"billing_address": null,
"international_code": 0,
"order_subtotal": 0.00,
"shipping_handling": 0.00,
"sales_tax": 0.00,
"international_handling": 0.00,
"total_due": 0.00,
"amount_paid": 0.00,
"net_due_currency": 0.00,
"balance_due_us": 0.00,
"international_declared_value": 0.00,
"insurance": 0.00,
"payment_type": "",
"terms": "DAP",
"fob": "",
"tax_id_number": "",
"packing_list_type": 101,
"packing_list_comments": "",
"shipping_instructions": "",
"custom_field1": "",
"custom_field2": "",
"custom_field3": "",
"custom_field4": "",
"custom_field5": "",
"order_lines": [
{
"line_number": 2,
"item_number": "1002-002-DEMO2",
"description": "Product For Demo 2",
"quantity": 5,
"is_back_order": false,
"price": 2.99,
"voided": false,
"do_not_ship_before": "2014-11-25",
"ship_by": "2014-11-26",
"comments": "",
"custom_field1": "",
"custom_field2": "",
"custom_field3": "5",
"custom_field4": "",
"custom_field5": ""
},
{
"line_number": 1,
"item_number": "1001-001-DEMO",
"description": "Product For Demo",
"quantity": 1,
"is_back_order": true,
"price": 5.2,
"voided": false,
"do_not_ship_before": "2014-11-25",
"ship_by": "2014-11-26",
"comments": "",
"custom_field1": "",
"custom_field2": "",
"custom_field3": "4",
"custom_field4": "",
"custom_field5": ""
}
],
"shipments": null,
"modified_at": "2014-11-25T05:01:28-08:00"
},
{
"order_status": 1,
"order_number": "TEST-WPDL-1234",
"location": "FR",
"order_stage": 60,
"stage_description": "Fully Shipped",
"is_cancelled": false,
"is_back_order": false,
"account_number": "19350",
"order_type": "OPEF",
"system_id": "E",
"ordered_date": "2024-06-17",
"received_date": "2024-06-17",
"po_number": "35I2L6QW",
"customer_number": "AMZ",
"freight_account": "00500",
"consignee_number": "",
"shipping_carrier": "UPS",
"shipping_service": "GROUND",
"shipping_address": {
"company": "Company ABC",
"attention": "",
"address1": "48641 Milmont Dr.",
"address2": "",
"email": "",
"phone": "",
"city": "Fremont",
"state_province": "CA",
"postal_code": "94538",
"country": "US"
},
"billing_address": null,
"international_code": 0,
"order_subtotal": 312.5,
"shipping_handling": 0.0,
"sales_tax": 0.0,
"international_handling": 0.0,
"total_due": 312.5,
"amount_paid": 0.0,
"net_due_currency": 312.5,
"balance_due_us": 0.0,
"international_declared_value": 0.0,
"payment_type": "",
"terms": "",
"fob": "",
"tax_id_number": "",
"packing_list_type": 343,
"packing_list_comments": "",
"shipping_instructions": "PO Dates: Deliver_Not_Before 2024-06-03; Do_Not_Deliver_After 2024-06-14;",
"custom_field1": "",
"custom_field2": "",
"custom_field3": "",
"custom_field4": "IADEZ51",
"custom_field5": "",
"order_lines": [
{
"line_number": 1,
"item_number": "1001-001-DEMO",
"description": "Demo Product 1",
"quantity": 100,
"is_back_order": false,
"price": 2.50,
"voided": false,
"do_not_ship_before": "2024-06-17",
"ship_by": "2024-06-18",
"comments": "",
"custom_field1": "65TEST123",
"custom_field2": "",
"custom_field3": "1",
"custom_field4": "",
"custom_field5": "",
"bundle_lines": null
},
{
"line_number": 2,
"item_number": "1002-002-DEMO2",
"description": "Demo Product 2",
"quantity": 50,
"is_back_order": false,
"price": 1.25,
"voided": false,
"do_not_ship_before": "2024-06-17",
"ship_by": "2024-06-18",
"comments": "",
"custom_field1": "WPDEZL0618",
"custom_field2": "",
"custom_field3": "2",
"custom_field4": "",
"custom_field5": "",
"bundle_lines": null
}
],
"shipments": [
{
"ship_id": 17528329,
"ship_date": "2024-06-19",
"shipping_carrier": "UPS",
"shipping_service": "GROUND",
"freight_account": "00500",
"shipping_address": {
"company": "Company ABC",
"attention": "",
"address1": "48641 Milmont Dr.",
"address2": "",
"email": "",
"phone": "",
"city": "Fremont",
"state_province": "CA",
"postal_code": "94538",
"country": "US"
},
"total_weight": 6.00,
"total_charge": 75.78,
"reference1": "TRACKING00001",
"reference2": "",
"reference3": "",
"reference4": "",
"rs_tracking_number": "",
"packages": [
{
"carton_id": "CUSC111100001",
"carton_count_number": 1,
"weight": 1.00,
"freight": 12.63,
"dimension": "7x6x5",
"tracking_number": "TRACKING00001",
"delivery_date": null,
"delivery_status": "",
"asn": "00066537507169097629",
"shipped_items": [
{
"item_number": "1001-001-DEMO",
"description": "Demo Product 1",
"line_number": 1,
"custom_field3": "1",
"quantity": 25,
"serial_numbers": null,
"lot_numbers": null,
"lot_details": null
}
]
},
{
"carton_id": "CUSC111100002",
"carton_count_number": 2,
"weight": 1.00,
"freight": 12.63,
"dimension": "7x6x5",
"tracking_number": "TRACKING00001",
"delivery_date": null,
"delivery_status": "",
"asn": "00066537507169097636",
"shipped_items": [
{
"item_number": "1001-001-DEMO",
"description": "Demo Product 1",
"line_number": 1,
"custom_field3": "1",
"quantity": 25,
"serial_numbers": null,
"lot_numbers": null,
"lot_details": null
}
]
},
{
"carton_id": "CUSC111100003",
"carton_count_number": 3,
"weight": 1.00,
"freight": 12.63,
"dimension": "7x6x5",
"tracking_number": "TRACKING00001",
"delivery_date": null,
"delivery_status": "",
"asn": "00066537507169097643",
"shipped_items": [
{
"item_number": "1001-001-DEMO",
"description": "Demo Product 1",
"line_number": 1,
"custom_field3": "1",
"quantity": 25,
"serial_numbers": null,
"lot_numbers": null,
"lot_details": null
}
]
},
{
"carton_id": "CUSC111100004",
"carton_count_number": 4,
"weight": 1.00,
"freight": 12.63,
"dimension": "7x6x5",
"tracking_number": "TRACKING00001",
"delivery_date": null,
"delivery_status": "",
"asn": "00066537507169097650",
"shipped_items": [
{
"item_number": "1001-001-DEMO",
"description": "Demo Product 1",
"line_number": 1,
"custom_field3": "1",
"quantity": 25,
"serial_numbers": null,
"lot_numbers": null,
"lot_details": null
}
]
},
{
"carton_id": "CUSC111100005",
"carton_count_number": 5,
"weight": 1.00,
"freight": 12.63,
"dimension": "7x6x5",
"tracking_number": "TRACKING00002",
"delivery_date": null,
"delivery_status": "",
"asn": "00066537507169097667",
"shipped_items": [
{
"item_number": "1002-002-DEMO2",
"description": "Demo Product 2",
"line_number": 2,
"custom_field3": "2",
"quantity": 25,
"serial_numbers": null,
"lot_numbers": null,
"lot_details": null
}
]
},
{
"carton_id": "CUSC111100006",
"carton_count_number": 6,
"weight": 1.00,
"freight": 12.63,
"dimension": "7x6x5",
"tracking_number": "TRACKING00002",
"delivery_date": null,
"delivery_status": "",
"asn": "00066537507169097674",
"shipped_items": [
{
"item_number": "1002-002-DEMO2",
"description": "Demo Product 2",
"line_number": 2,
"custom_field3": "2",
"quantity": 25,
"serial_numbers": null,
"lot_numbers": null,
"lot_details": null
}
]
}
],
"shipped_lines": [
{
"item_number": "1001-001-DEMO",
"description": "Demo Product 1",
"line_number": 1,
"custom_field3": "1",
"quantity": 100,
"serial_numbers": null,
"lot_numbers": null,
"lot_details": null,
"bundle_lines": null
},
{
"item_number": "1002-002-DEMO2",
"description": "Demo Product 2",
"line_number": 2,
"custom_field3": "2",
"quantity": 50,
"serial_numbers": null,
"lot_numbers": null,
"lot_details": null,
"bundle_lines": null
}
],
"pallets": [
{
"pallet_id": "DCLP111100000",
"pallet_count_number": 1,
"weight": 4.00,
"freight": 50.52,
"tracking_number": "TRACKING00001",
"asn": "00561441038447211122",
"packages": [
{
"carton_id": "CUSC111100001",
"carton_count_number": 1,
"weight": 1.00,
"freight": 12.63,
"dimension": "7x6x5",
"tracking_number": "TRACKING00001",
"delivery_date": null,
"delivery_status": "",
"asn": "00066537507169097629",
"shipped_items": [
{
"item_number": "1001-001-DEMO",
"description": "Demo Product 1",
"line_number": 1,
"custom_field3": "1",
"quantity": 25,
"serial_numbers": null,
"lot_numbers": null,
"lot_details": null
}
]
},
{
"carton_id": "CUSC111100002",
"carton_count_number": 2,
"weight": 1.00,
"freight": 12.63,
"dimension": "7x6x5",
"tracking_number": "TRACKING00001",
"delivery_date": null,
"delivery_status": "",
"asn": "00066537507169097636",
"shipped_items": [
{
"item_number": "1001-001-DEMO",
"description": "Demo Product 1",
"line_number": 1,
"custom_field3": "1",
"quantity": 25,
"serial_numbers": null,
"lot_numbers": null,
"lot_details": null
}
]
},
{
"carton_id": "CUSC111100003",
"carton_count_number": 3,
"weight": 1.00,
"freight": 12.63,
"dimension": "7x6x5",
"tracking_number": "TRACKING00001",
"delivery_date": null,
"delivery_status": "",
"asn": "00066537507169097643",
"shipped_items": [
{
"item_number": "1001-001-DEMO",
"description": "Demo Product 1",
"line_number": 1,
"custom_field3": "1",
"quantity": 25,
"serial_numbers": null,
"lot_numbers": null,
"lot_details": null
}
]
},
{
"carton_id": "CUSC111100004",
"carton_count_number": 4,
"weight": 1.00,
"freight": 12.63,
"dimension": "7x6x5",
"tracking_number": "TRACKING00001",
"delivery_date": null,
"delivery_status": "",
"asn": "00066537507169097650",
"shipped_items": [
{
"item_number": "1001-001-DEMO",
"description": "Demo Product 1",
"line_number": 1,
"custom_field3": "1",
"quantity": 25,
"serial_numbers": null,
"lot_numbers": null,
"lot_details": null
}
]
}
]
},
{
"pallet_id": "DCLP111100001",
"pallet_count_number": 2,
"weight": 2.00,
"freight": 25.26,
"tracking_number": "TRACKING00002",
"asn": "00182165883019822219",
"packages": [
{
"carton_id": "CUSC111100005",
"carton_count_number": 5,
"weight": 1.00,
"freight": 12.63,
"dimension": "7x6x5",
"tracking_number": "TRACKING00002",
"delivery_date": null,
"delivery_status": "",
"asn": "00066537507169097667",
"shipped_items": [
{
"item_number": "1002-002-DEMO2",
"description": "Demo Product 2",
"line_number": 2,
"custom_field3": "2",
"quantity": 25,
"serial_numbers": null,
"lot_numbers": null,
"lot_details": null
}
]
},
{
"carton_id": "CUSC111100006",
"carton_count_number": 6,
"weight": 1.00,
"freight": 12.63,
"dimension": "7x6x5",
"tracking_number": "TRACKING00002",
"delivery_date": null,
"delivery_status": "",
"asn": "00066537507169097674",
"shipped_items": [
{
"item_number": "1002-002-DEMO2",
"description": "Demo Product 2",
"line_number": 2,
"custom_field3": "2",
"quantity": 25,
"serial_numbers": null,
"lot_numbers": null,
"lot_details": null
}
]
}
]
}
]
}
],
"modified_at": "2024-06-19T12:54:26-08:00"
}
]
}